<!DOCTYPE html>
<html lang="en">
  <head>
    {% if orgtype=="Profit Making" %}
      <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Profit & Loss{% endtrans %}</title>
    {% else %}
      <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Income & Expenditure{% endtrans %}</title>
    {% endif %}

    <style type="text/css">
     .shadow {
	 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     }
     td {
	 font-size:75%;
     }
     th {
	 font-size:85%;
     }
     tr {
	 height:26px !important;
     }
     .nopadding{
	 padding:0 !important;
     }
     td.subgrouptd{
	 font-weight:normal !important;
     }
     td.accounttd {
	 font-weight:normal !important;
	 font-style:italic !important;
     }
     a, a:hover {
	 color:black;
	 text-decoration:none;
     }
    </style>
  </head>
  <body>
    {% if orgtype=="Profit Making" %}
      <input type="hidden" id="headingprofit" value="Profit & Loss">
      <span style="margin:auto; display:table;"><strong>{% trans %}Profit & Loss Account{% endtrans %}</strong> {% trans %}for the period{% endtrans %} <strong>{{from}}</strong> {% trans %}to{% endtrans %} <strong>{{to}}</strong></span>
    {% else %}
      <input type="hidden" id="headingprofit" value="Income & Expenditure Account">
      <span style="margin:auto; display:table;"><strong>{% trans %}Income & Expenditure Account{% endtrans %}</strong> {% trans %}for the period{% endtrans %} <strong>{{from}}</strong> {% trans %}to{% endtrans %} <strong>{{to}}</strong></span>
    {% endif %}
    <br>
    <div class="row">
      <div class="col-sm-6">
	<table id="expensetbl" class="table table-condensed table-bordered">
          <thead class="bg-primary">
            <tr>
              <th>
		<span class="col-xs-8 text-center">{% trans %}Particulars{% endtrans %}</span>
		<span class="col-xs-4 text-right">{% trans %}Amount{% endtrans %}</span>
	      </th>
            </tr>
          </thead>
          <tbody>
	    <tr class="group degroup">
	      <td>
		<span class="col-xs-8"> <a class="rcaccname"  href="#" style="text-decoration: none;" >DIRECT EXPENSE</a> </span>
		<span  class="col-xs-4 text-right">{{DirectExpense["direxpbal"]}}</span>
	      </td>
	    </tr>
	    
	    {% if "Purchase" in DirectExpense %}
	      <tr class="subgroupofdegroup" data-numberofaccounts="{{DirectExpense["Purchase"]|length}}">
		<td>
		  <span class="col-xs-8 subgrouptd"><a class="rcaccname"  href="#"><span style="margin-left:3em;">PURCHASE</span></a></span>
		  <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{DirectExpense["Purchase"]["balance"]}}</span></span>
		</td>
	      </tr>
	      {% for purch in DirectExpense["Purchase"] %}
		{% if purch != "balance" %}
		  <tr class="accountfield accountofsubgroupofdegroup" style="display:none">
		    <td>
		      <span class="col-xs-8 accounttd"><a class="rcaccname" href="#"><span style="margin-left:6em;">{{purch}}</span></a></span>
		      <span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{DirectExpense["Purchase"][purch]}}</span></span>
		    </td>
		  </tr>
		{% endif %}
	      {% endfor %}
	    {% endif %}
	    {% for subgroup in DirectExpense %}
	      {% if subgroup != "Purchase" and "balance" in DirectExpense[subgroup] %}
		<tr class="subgroupofdegroup" data-numberofaccounts="{{DirectExpense[subgroup]|length}}">
		  <td>
		    <span class="col-xs-8 subgrouptd"><a class="rcaccname"  href="#"><span style="margin-left:3em;">{{ subgroup|upper }}</span></a></span>
		    <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{DirectExpense[subgroup]["balance"]}}</span></span>
		  </td>
		</tr>
		{% for account in DirectExpense[subgroup] %}
		  {% if account != "balance" %}
		    <tr class="accountfield accountofsubgroupofdegroup">
		      <td>
			<span class="col-xs-8 accounttd"><a class="rcaccname" class="libg" href="#"><span style="margin-left:6em;">{{account}}</span></a></span>
			<span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{DirectExpense[subgroup][account]}}</span></span>
		      </td>
		    </tr>
		  {% endif %}
		{% endfor %}
	      {% endif %}
	      {% if subgroup != "Purchase" and subgroup != "direxpbal" and "balance" not in DirectExpense[subgroup] %}
		<tr class="accountfield accountofdegroup">
		  <td>
		    <span class="col-xs-8 accounttd"><a class="rcaccname"  href="#"><span style="margin-left:3em;">{{subgroup}}</span></a></span>
		    <span class="col-xs-4 text-right accounttd"><span style="margin-right:3em;">{{DirectExpense[subgroup]}}</span></span>
		  </td>
		</tr>
	      {% endif %}
	    {% endfor %}
	    <tr class="group iegroup">
	      <td>
		<span class="col-xs-8"> <a class="rcaccname"  href="#" style="text-decoration: none;" >INDIRECT EXPENSE</a> </span>
		<span  class="col-xs-4 text-right">{{InDirectExpense["indirexpbal"]}}</span>
	      </td>
	    </tr>
            {% for subgroup in InDirectExpense %}
	      {% if "balance" in InDirectExpense[subgroup] %}
		<tr class="subgroupofiegroup" data-numberofaccounts="{{InDirectExpense[subgroup]|length}}">
		  <td>
		    <span class="col-xs-8 subgrouptd"><a class="rcaccname"  href="#"><span style="margin-left:3em;">{{ subgroup|upper }}</span></a></span>
		    <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{InDirectExpense[subgroup]["balance"]}}</span></span>
		  </td>
		</tr>
		{% for account in InDirectExpense[subgroup] %}
		  {% if account != "balance" %}
		    <tr class="accountfield accountofsubgroupofiegroup">
		      <td>
			<span class="col-xs-8 accounttd"><a class="rcaccname"  href="#"><span style="margin-left:6em;">{{account}}</span></a></span>
			<span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{InDirectExpense[subgroup][account]}}</span></span>
		      </td>
		    </tr>
		  {% endif %}
		{% endfor %}
	      {% endif %}
	      {% if subgroup != "indirexpbal" and "balance" not in InDirectExpense[subgroup] %}
		<tr class="accountfield accountofiegroup">
		  <td>
		    <span class="col-xs-8 accounttd"><a class="rcaccname"  href="#"><span style="margin-left:3em;">{{subgroup}}</span></a></span>
		    <span class="col-xs-4 text-right accounttd"><span style="margin-right:3em;">{{InDirectExpense[subgroup]}}</span></span>
		  </td>
		</tr>
	      {% endif %}
	    {% endfor %}
	    <tr>
	      <td>
		<span class="col-xs-8">{% if net["netprofit"] %}Net Profit{% endif %}</span>
		<span class="col-xs-4 text-right">{% if net["netprofit"] %}{{net["netprofit"]}}{% endif %}</span>
	      </td>
	    </tr>
	    <tr>
	      <td>
		<span class="col-xs-8">Total</span>
		<span class="col-xs-4 text-right">{{Total}}</span>
	      </td>
	    </tr>
          </tbody>
	</table>
      </div>
      <div class="col-sm-6">
	<table id="incometbl" class="table table-bordered table-condensed">
          <thead class="bg-primary">
            <tr>
              <th>
		<span class="col-xs-8 text-center">{% trans %}Particulars{% endtrans %}</span>
		<span class="col-xs-4 text-right">{% trans %}Amount{% endtrans %}</span>
	      </th>
            </tr>
          </thead>
          <tbody>
            <tr class="group digroup">
	      <td>
		<span class="col-xs-8"> <a class="pyaccname"  href="#" style="text-decoration: none;" >DIRECT INCOME</a> </span>
		<span  class="col-xs-4 text-right">{{DirectIncome["dirincmbal"]}}</span>
	      </td>
	    </tr>
	    
	    {% if "Sales" in DirectIncome %}
	      <tr class="subgroupofdigroup" data-numberofaccounts="{{DirectIncome["Sales"]|length}}">
		<td>
		  <span class="col-xs-8 subgrouptd"><a class="pyaccname"  href="#"><span style="margin-left:3em;">SALES</span></a></span>
		  <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{DirectIncome["Sales"]["balance"]}}</span></span>
		</td>
	      </tr>
	      {% for purch in DirectIncome["Sales"] %}
		{% if purch != "balance" %}
		  <tr class="accountfield accountofsubgroupofdigroup">
		    <td>
		      <span class="col-xs-8 accounttd"><a class="pyaccname"  href="#"><span style="margin-left:6em;">{{purch}}</span></a></span>
		      <span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{DirectIncome["Sales"][purch]}}</span></span>
		    </td>
		  </tr>
		{% endif %}
	      {% endfor %}
	    {% endif %}
	    {% for subgroup in DirectIncome %}
	      {% if subgroup != "Sales" and "balance" in DirectIncome[subgroup] %}
		<tr class="subgroupofdigroup" data-numberofaccounts="{{DirectIncome[subgroup]|length}}">
		  <td>
		    <span class="col-xs-8 subgrouptd"><a class="pyaccname"  href="#"><span style="margin-left:3em;">{{ subgroup|upper }}</span></a></span>
		    <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{DirectIncome[subgroup]["balance"]}}</span></span>
		  </td>
		</tr>
		{% for account in DirectIncome[subgroup] %}
		  {% if account != "balance" %}
		    <tr class="accountfield accountofsubgroupofdigroup">
		      <td>
			<span class="col-xs-8 accounttd"><a class="pyaccname"  href="#"><span style="margin-left:6em;">{{account}}</span></a></span>
			<span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{DirectIncome[subgroup][account]}}</span></span>
		      </td>
		    </tr>
		  {% endif %}
		{% endfor %}
	      {% endif %}
	      {% if subgroup != "Sales" and subgroup != "dirincmbal" and "balance" not in DirectIncome[subgroup] %}
		<tr class="accountfield accountofdigroup">
		  <td>
		    <span class="col-xs-8 subgrouptd"><a class="pyaccname"  href="#"><span style="margin-left:3em;">{{subgroup}}</span></a></span>
		    <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{DirectIncome[subgroup]}}</span></span>
		  </td>
		</tr>
	      {% endif %}
	    {% endfor %}
	    <tr class="group iigroup">
	      <td>
		<span class="col-xs-8"> <a class="pyaccname"  href="#" style="text-decoration: none;" >INDIRECT INCOME</a> </span>
		<span  class="col-xs-4 text-right">{{InDirectIncome["indirincmbal"]}}</span>
	      </td>
	    </tr>
            {% for subgroup in InDirectIncome %}
	      {% if "balance" in InDirectIncome[subgroup] %}
		<tr class="subgroupofiigroup" data-numberofaccounts="{{InDirectIncome[subgroup]|length}}">
		  <td>
		    <span class="col-xs-8 subgrouptd"><a class="pyaccname"  href="#"><span style="margin-left:3em;">{{ subgroup|upper }}</span></a></span>
		    <span class="col-xs-4 text-right subgrouptd"><span style="margin-right:3em;">{{InDirectIncome[subgroup]["balance"]}}</span></span>
		  </td>
		</tr>
		{% for account in InDirectIncome[subgroup] %}
		  {% if account != "balance" %}
		    <tr class="accountfield accountofsubgroupofiigroup">
		      <td>
			<span class="col-xs-8 accounttd"><a class="pyaccname"  href="#"><span style="margin-left:6em;">{{account}}</span></a></span>
			<span class="col-xs-4 text-right accounttd"><span style="margin-right:6em;">{{InDirectIncome[subgroup][account]}}</span></span>
		      </td>
		    </tr>
		  {% endif %}
		{% endfor %}
	      {% endif %}
	      {% if subgroup != "indirincmbal" and "balance" not in InDirectIncome[subgroup] %}
		<tr class="accountfield accountofiigroup">
		  <td>
		    <span class="col-xs-8 accounttd"><a class="pyaccname"  href="#"><span style="margin-left:3em;">{{subgroup}}</span></a></span>
		    <span class="col-xs-4 text-right accounttd"><span style="margin-right:3em;">{{InDirectIncome[subgroup]}}</span></span>
		  </td>
		</tr>
	      {% endif %}
	    {% endfor %}
	    <tr>
	      <td>
		<span class="col-xs-8">{% if net["netloss"] %}Net Loss{% endif %}</span>
		<span class="col-xs-4 text-right">{% if net["netloss"] %}{{net["netloss"]}}{% endif %}</span>
	      </td>
	    </tr>
	    <tr>
	      <td>
		<span class="col-xs-8">Total</span>
		<span class="col-xs-4 text-right">{{Total}}</span>
	      </td>
	    </tr>
          </tbody>
	</table>
      </div>
    </div>
    <span class="hidden-print" style="margin:auto; display:table;">
      <button type="button" class="btn btn-sm btn-danger" id="pnlback" accesskey="k"><i class="fa fa-arrow-left" aria-hidden="true"></i> {% trans %}Bac<u>k</u>{% endtrans %}</button>
	   <button class="btn btn-sm btn-info" type="button"  id="realprintpnl" accesskey="t"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}Prin<u>t</u>{% endtrans %}</button>
    </span>
    <input type="hidden" id="ledtodate" value="{{to}}">
    <input type="hidden" id="ledfromdate" value="{{from}}">
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/profitlossreport.js')}}"></script>
</body>
</html>
